<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-product-price-rule-heading">Create or edit a Product Price Rule</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_productId">Product Id</label>
                    <input type="text" class="form-control" name="productId" id="field_productId"
                           formControlName="productId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_usedQuota">Used Quota</label>
                    <input type="text" class="form-control" name="usedQuota" id="field_usedQuota"
                           formControlName="usedQuota"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_priceSale">Price Sale</label>
                    <input type="text" class="form-control" name="priceSale" id="field_priceSale"
                           formControlName="priceSale"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_priceBase">Price Base</label>
                    <input type="text" class="form-control" name="priceBase" id="field_priceBase"
                           formControlName="priceBase"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <input type="text" class="form-control" name="status" id="field_status"
                           formControlName="status"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_activeStartDate">Active Start Date</label>
                    <div class="input-group">
                        <input id="field_activeStartDate" type="text" class="form-control" name="activeStartDate" ngbDatepicker #activeStartDateDp="ngbDatepicker" formControlName="activeStartDate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="activeStartDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_activeEndDate">Active End Date</label>
                    <div class="input-group">
                        <input id="field_activeEndDate" type="text" class="form-control" name="activeEndDate" ngbDatepicker #activeEndDateDp="ngbDatepicker" formControlName="activeEndDate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="activeEndDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
